package cn.bsystem.ptlog.service;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.bsystem.ptlog.dao.PtyhczrzDao;

@Service("ptyhczrzService")
public class PtyhczrzService extends BaseService {
	
	private static Log log = LogFactory.getLog(PtyhczrzService.class);
	
	@Autowired
	private PtyhczrzDao ptyhczrzDao;
	/**
	 * 保存记录
	 * 
	 * @param
	 * @return
	 */
	public void insert_Ptyhczrz(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		ptyhczrzDao.insert_Ptyhczrz(map);
	}

	
	/**
	 * 修改记录
	 * 
	 * @param
	 * @return
	 */
	public Integer update_Ptyhczrz(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return ptyhczrzDao.update_Ptyhczrz(map);
	}
	
	/**
	 * 删除记录
	 * 
	 * @param
	 * @return
	 */
	public Integer delete_Ptyhczrz(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return ptyhczrzDao.delete_Ptyhczrz(map);
	}
	
	/**
	 * 批处理删除记录
	 * 
	 * @param
	 */
	public Integer batch_delete_Ptyhczrz(Map map) throws SQLException{
		return ptyhczrzDao.batch_delete_Ptyhczrz(map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param
	 * @return
	 */
	public Integer count_Ptyhczrz(Map map) throws SQLException{
		return ptyhczrzDao.count_Ptyhczrz(map);
	}
	
	/**
	 * 查询列表记录SELECT
	 * 
	 * @param
	 * @return
	 */
	public List<Map> query_Ptyhczrz(Map map) throws SQLException{
		return ptyhczrzDao.query_Ptyhczrz(map);
	}
	
	/**
	 * 查询一条
	 * 
	 * @param
	 * @return
	 */
	public Map get_Ptyhczrz(Map map) throws SQLException{
		return ptyhczrzDao.get_Ptyhczrz(map);
	}
	
	/**
	 * 导出EXCEL
	 * 
	 * @param
	 * @return
	 */
	public Map exportPtyhczrz(Map map) throws SQLException{
		return this.listPtyhczrzByPage(map);
	}
	
	/**
	 * Ptyhczrz 分页
	 * @param map
	 * @return
	 * @throws SQLException
	 */
	public Map listPtyhczrzByPage(Map map) throws SQLException {
		List<Map> list = ptyhczrzDao.query_Ptyhczrz(map);
		Integer totalCount = ptyhczrzDao.count_Ptyhczrz(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
